## Class TActiveRecordConfigurationException

Description

Base exception class for Active Records.

- version: $Id: TActiveRecordException.php 1866 2007-04-14 05:02:29Z wei $
- author: Wei Zhuo <weizho[at]gmail[dot]com>

Located in /Data/ActiveRecord/Exceptions/TActiveRecordException.php (line 37)

    Exception
       |
       --TException
          |
          --TSystemException
             |
             --TDbException
                |
                --TActiveRecordException
                   |
                   --TActiveRecordConfigurationException

Methods

#### Inherited Methods

Inherited From TActiveRecordException

> TActiveRecordException::getErrorMessageFile()

Inherited From TException

> TException::__construct()
> TException::getErrorCode()
> TException::getErrorMessage()
> TException::getErrorMessageFile()
> TException::setErrorCode()
> TException::setErrorMessage()
> TException::translateErrorMessage()

Documentation generated on Mon, 21 Apr 2008 11:29:41 -0400 by phpDocumentor 1.3.0RC4